﻿from tinyDiag import * 
allClear() #■tinyDiag内の例題をすべて削除
#■問診項目
setSQ("花粉時期","今日は花粉が多いですか(0:いいえ, 1:普通, 2:多い)")
setSQ("飲酒","昨夜酒を呑みましたか(0:いいえ, 1:普通, 2:沢山)")
setSQ("頭痛","頭痛はしますか(0:いいえ, 1:少し，2:ひどい痛み)")
setSQ("発熱","熱はありますか(0:いいえ, 1:微熱，2:高温)")

setSQ("めまい","めまいはしますか(0:いいえ, 1:たまに，2:いつも)")
setSQ("吐き気","吐き気はありますか(0:いいえ, 1:少し，2:ある)")
setSQ("くしゃみ","くしゃみは出ますか(0:いいえ, 1:少し，2:出る)")
setSQ("鼻水","鼻水は出ますか(0:いいえ, 1:少し，2:出る)")   

setSQ("鼻づまり","鼻づまりはありますか(0:いいえ, 1:多少，2:ひどい)")
setSQ("咳","咳は出ますか(0:いいえ, 1:多少，2:咳き込む)")
setSQ("たん","たんは出ますか(0:いいえ, 1:時々，2:頻繁)")
setSQ("のどの痛み","のどは痛いですか(0:いいえ, 1:少し，2:かなり)")

setSQ("目のかゆみ","目はかゆいですか(0:いいえ, 1:少し，2:かなり)")
setSQ("涙","涙が止まりませんか(0:いいえ, 1:少し，2:多い)")
setSQ("目の充血","目は充血していますか(0:いいえ, 1:少し，2:かなり)")
setSQ("ぼーっと","頭はぼーっとしていますか(0:いいえ，1:少し,2:かなり)")

#■ルールの定義
setPM(["R00101","飲酒"      , "二日酔い",0.5])
setPM(["R00102","頭痛"      , "二日酔い",0.2])
setPM(["R00103","めまい"    , "二日酔い",0.2])
setPM(["R00104","吐き気"    , "二日酔い",0.2])
setPM(["R00105",["not","飲酒"]     , "二日酔い",-0.8])

setPM(["R00201","頭痛"      , "風邪", 0.3])
setPM(["R00202",["not","発熱"], "風邪", 0.3])
setPM(["R00203","くしゃみ"  , "風邪", 0.3])
setPM(["R00204","鼻水"      , "風邪", 0.3])
setPM(["R00205","咳"        , "風邪", 0.3])
setPM(["R00206","たん"      , "風邪", 0.3])
setPM(["R00207","鼻づまり"  , "風邪", 0.3])
setPM(["R00208","のどの痛み", "風邪", 0.3])

setPM(["R00301","頭痛"      , "インフルエンザ", 0.3])
setPM(["R00302","発熱"      , "インフルエンザ", 0.3])
setPM(["R00303","くしゃみ"  , "インフルエンザ", 0.3])
setPM(["R00304","鼻水"      , "インフルエンザ", 0.3])
setPM(["R00305","咳"        , "インフルエンザ", 0.3])
setPM(["R00306","たん"      , "インフルエンザ", 0.3])
setPM(["R00307","鼻づまり"  , "インフルエンザ", 0.3])
setPM(["R00308","のどの痛み", "インフルエンザ", 0.3])

setPM(["R00401","目のかゆみ", "花粉症", 0.3])
setPM(["R00402","涙"        , "花粉症", 0.3])
setPM(["R00403","目の充血"  , "花粉症", 0.3])
setPM(["R00404","ぼーっと"  , "花粉症", 0.3])
setPM(["R00405","鼻水"      , "花粉症", 0.3])
setPM(["R00406","鼻づまり"  , "花粉症", 0.5])
setPM(["R00407","花粉時期"  , "花粉症", 0.5])
setPM(["R00408","くしゃみ"  , "花粉症", 0.3])

setPM(["R99909","*"      , "その他の病気", 0.1])
#コマンド選択
Command()



